org.keycloak.connections.jpa.updater.liquibase

## Class UpdatedMySqlDatabase

- java.lang.Object
- - liquibase.database.AbstractJdbcDatabase
  - - liquibase.database.core.MySQLDatabase
    - - org.keycloak.connections.jpa.updater.liquibase.UpdatedMySqlDatabase

- All Implemented Interfaces:
    liquibase.database.Database, liquibase.servicelocator.PrioritizedService

      public class UpdatedMySqlDatabase
      extends liquibase.database.core.MySQLDatabase

  Author:
    Marek Posolda

- - ### Field Summary

    - ### Fields inherited from class liquibase.database.core.MySQLDatabase

      `PRODUCT_NAME`

    - ### Fields inherited from class liquibase.database.AbstractJdbcDatabase

      `caseSensitive, currentDateTimeFunction, dateFunctions, defaultAutoIncrementBy, defaultAutoIncrementStartWith, defaultCatalogName, defaultSchemaName, quotingEndCharacter, quotingEndReplacement, quotingStartCharacter, quotingStrategy, sequenceCurrentValueFunction, sequenceNextValueFunction, unmodifiableDataTypes, unquotedObjectsAreUppercased`

    - ### Fields inherited from interface liquibase.servicelocator.PrioritizedService

      `COMPARATOR, PRIORITY_DATABASE, PRIORITY_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdatedMySqlDatabase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPriority()`
    `boolean` | `isReservedWord(String string)`

    - ### Methods inherited from class liquibase.database.core.MySQLDatabase

      `correctObjectName, createsIndexesForForeignKeys, disableForeignKeyChecks, enableForeignKeyChecks, escapeIndexName, escapeStringForDatabase, generateAutoIncrementBy, generateAutoIncrementStartWith, getAutoIncrementClause, getAutoIncrementClosing, getAutoIncrementOpening, getAutoIncrementStartWithClause, getConcatSql, getDatabasePatchVersion, getDefaultDatabaseProductName, getDefaultDriver, getDefaultPort, getLineComment, getSchemaFromJdbcInfo, getShortName, getTableOptionAutoIncrementStartWithClause, isCorrectDatabaseImplementation, mustQuoteObjectName, supportsCatalogs, supportsForeignKeyDisable, supportsInitiallyDeferrableColumns, supportsSchemas, supportsSequences, supportsTablespaces`

    - ### Methods inherited from class liquibase.database.AbstractJdbcDatabase

      `addReservedWords, canCreateChangeLogTable, close, commit, correctSchema, correctSchema, dataTypeIsNotModifiable, doesTagExist, dropDatabaseObjects, equals, escapeColumnName, escapeColumnName, escapeColumnNameList, escapeConstraintName, escapeDataTypeName, escapeObjectName, escapeObjectName, escapeSequenceName, escapeTableName, escapeViewName, execute, executeRollbackStatements, executeRollbackStatements, executeStatements, filterRollbackVisitors, generateDatabaseFunctionValue, generatePrimaryKeyName, get, getAutoCommitMode, getAutoIncrementByClause, getAutoIncrementClause, getConnection, getConnectionCatalogName, getConnectionSchemaName, getConnectionSchemaNameCallStatement, getContainingObjects, getCurrentDateTimeFunction, getDatabaseChangeLogLockTableName, getDatabaseChangeLogTableName, getDatabaseMajorVersion, getDatabaseMinorVersion, getDatabaseProductName, getDatabaseProductVersion, getDataTypeMaxParameters, getDateFunctions, getDateLiteral, getDateLiteral, getDateLiteral, getDateTimeLiteral, getDefaultCatalogName, getDefaultSchema, getDefaultSchemaName, getFetchSize, getJdbcCatalogName, getJdbcCatalogName, getJdbcSchemaName, getJdbcSchemaName, getLiquibaseCatalogName, getLiquibaseSchemaName, getLiquibaseTablespaceName, getName, getObjectQuotingStrategy, getOutputDefaultCatalog, getOutputDefaultSchema, getRanChangeSet, getRanChangeSetList, getRanDate, getRunStatus, getSystemSchema, getSystemTables, getSystemViews, getTimeLiteral, getViewDefinition, hashCode, isAutoCommit, isCaseSensitive, isDateOnly, isDateTime, isDefaultCatalog, isDefaultSchema, isFunction, isLiquibaseObject, isSafeToRunUpdate, isSystemObject, isSystemView, isTimeOnly, isTimestamp, jdbcCallsCatalogsSchemas, markChangeSetExecStatus, parseDate, quoteObject, removeRanStatus, requiresPassword, requiresUsername, resetInternalState, rollback, saveRollbackStatement, saveStatements, set, setAutoCommit, setCanCacheLiquibaseTableInfo, setCaseSensitive, setConnection, setCurrentDateTimeFunction, setDatabaseChangeLogLockTableName, setDatabaseChangeLogTableName, setDefaultCatalogName, setDefaultSchemaName, setLiquibaseCatalogName, setLiquibaseSchemaName, setLiquibaseTablespaceName, setObjectQuotingStrategy, setOutputDefaultCatalog, setOutputDefaultSchema, startsWithNumeric, supportsAutoIncrement, supportsCatalogInObjectName, supportsDDLInTransaction, supportsDropTableCascadeConstraints, supportsPrimaryKeyNames, supportsRestrictForeignKeys, tag, toString, unescapeDataTypeName, unescapeDataTypeString, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdatedMySqlDatabase

          public UpdatedMySqlDatabase()

  - ### Method Detail

    - #### isReservedWord

          public boolean isReservedWord(String string)

      Specified by:
        `isReservedWord` in interface `liquibase.database.Database`
      Overrides:
        `isReservedWord` in class `liquibase.database.core.MySQLDatabase`

    - #### getPriority

          public int getPriority()

      Specified by:
        `getPriority` in interface `liquibase.servicelocator.PrioritizedService`
      Overrides:
        `getPriority` in class `liquibase.database.core.MySQLDatabase`

Copyright © 2021 JBoss by Red Hat. All rights reserved.